polybori::groebner::RelatedTermsBase Class Reference

This class deals as a base of `RelatedTerns`. More...

`#include <RelatedTermsBase.h>`

Inheritance diagram for polybori::groebner::RelatedTermsBase:

## Public Member Functions

| RelatedTermsBase (const BoolePolyRing &ring)
| Empty set of terms. More...
| RelatedTermsBase (const Monomial &lead, const MonomialSet &terms, const MonomialSet &ignorable, const MonomialSet &significant)
| Nontrivial constructor. More...
const MonomialSet & | related_terms () const
| finally get the related terms More...
const BoundedDivisorsOf & | divisors_of () const
| Get parameterized functional. More...
MonomialSet | factors (const MonomialSet &terms) const
| Minimal related elements from `terms`, with `lead's` variables set to 1. More...
MonomialSet | critical_terms_base (const MonomialSet &terms) const
| Related elements in `terms` modulo the ignorable elements. More...
MonomialSet | unrelated_terms (const MonomialSet &terms) const
| Extract terms not owning variables of current generator's leading term. More...

## Detailed Description

This class deals as a base of `RelatedTerns`.

## Constructor & Destructor Documentation

polybori::groebner::RelatedTermsBase::RelatedTermsBase | ( | const BoolePolyRing & | ring) |  |

inline

Empty set of terms.

polybori::groebner::RelatedTermsBase::RelatedTermsBase | ( | const Monomial & | lead,
|  | const MonomialSet & | terms,
|  | const MonomialSet & | ignorable,
|  | const MonomialSet & | significant
| ) |  |

inline

Nontrivial constructor.

## Member Function Documentation

MonomialSet polybori::groebner::RelatedTermsBase::critical_terms_base | ( | const MonomialSet & | terms) |  | const

inline

Related elements in `terms` modulo the ignorable elements.

References polybori::groebner::mod_mon_set().

const BoundedDivisorsOf& polybori::groebner::RelatedTermsBase::divisors_of | ( | ) |  | const

inline

Get parameterized functional.

MonomialSet polybori::groebner::RelatedTermsBase::factors | ( | const MonomialSet & | terms) |  | const

inline

Minimal related elements from `terms`, with `lead's` variables set to 1.

References polybori::groebner::minimal_elements_divided().

const MonomialSet& polybori::groebner::RelatedTermsBase::related_terms | ( | ) |  | const

inline

finally get the related terms

MonomialSet polybori::groebner::RelatedTermsBase::unrelated_terms | ( | const MonomialSet & | terms) |  | const

inline

Extract terms not owning variables of current generator's leading term.

References polybori::member_function_operator().

The documentation for this class was generated from the following file:

- RelatedTermsBase.h